org.apache.poi.xssf.extractor

## Class XSSFEventBasedExcelExtractor.SheetTextExtractor

- java.lang.Object
- - org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor.SheetTextExtractor

- All Implemented Interfaces:
    XSSFSheetXMLHandler.SheetContentsHandler
  Enclosing class:
    XSSFEventBasedExcelExtractor

      protected class XSSFEventBasedExcelExtractor.SheetTextExtractor
      extends java.lang.Object
      implements XSSFSheetXMLHandler.SheetContentsHandler

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SheetTextExtractor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cell(java.lang.String cellRef, java.lang.String formattedValue, XSSFComment comment)` A cell, with the given formatted value (may be null), and possibly a comment (may be null), was encountered.
    `void` | `endRow(int rowNum)` A row with the (zero based) row number has ended
    `void` | `headerFooter(java.lang.String text, boolean isHeader, java.lang.String tagName)` A header or footer has been encountered
    `void` | `startRow(int rowNum)` A row with the (zero based) row number has started

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler.SheetContentsHandler

      `endSheet`

- - ### Constructor Detail

    - #### SheetTextExtractor

          protected SheetTextExtractor()

  - ### Method Detail

    - #### startRow

          public void startRow(int rowNum)

      Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
      A row with the (zero based) row number has started
      Specified by:
        `startRow` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

    - #### endRow

          public void endRow(int rowNum)

      Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
      A row with the (zero based) row number has ended
      Specified by:
        `endRow` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

    - #### cell

          public void cell(java.lang.String cellRef,
                           java.lang.String formattedValue,
                           XSSFComment comment)

      Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
      A cell, with the given formatted value (may be null), and possibly a comment (may be null), was encountered. Sheets that have missing or empty cells may result in sparse calls to `cell`. See the code in `src/examples/src/org/apache/poi/xssf/eventusermodel/XLSX2CSV.java` for an example of how to handle this scenario.
      Specified by:
        `cell` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

    - #### headerFooter

          public void headerFooter(java.lang.String text,
                                   boolean isHeader,
                                   java.lang.String tagName)

      Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
      A header or footer has been encountered
      Specified by:
        `headerFooter` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.